Skip to main content
POST
/
projects
/
{project_reference}
/
tasks
Create Task
curl --request POST \
  --url https://api.veryfront.com/projects/{project_reference}/tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "schedulable": true
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "target": "<string>",
  "source_path": "<string>",
  "source": "<string>",
  "schedulable": true,
  "edit_mode": "structured",
  "source_only_reasons": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_reference
string
required

Query Parameters

source_target_kind
string
target_branch_id
string<uuid> | null

Body

application/json
id
string
required
Minimum string length: 1
name
string
required
Minimum string length: 1
description
string | null
schedulable
boolean

Response

Created task document

id
string
required
name
string
required
description
string | null
required
target
string
required
source_path
string
required
source
string
required
schedulable
boolean
required
edit_mode
enum<string>
required
Available options:
structured,
source_only
source_only_reasons
string[]
required